LoaderHandler (Java Platform SE 8 )
Keywords: java.rmi.server.LoaderHandler interface
Date: 2017-01-22

compact2, compact3
java.rmi.server

## Interface LoaderHandler

- Deprecated.
  no replacement

      @Deprecated
      public interface LoaderHandler

  `LoaderHandler` is an interface used internally by the RMI runtime in previous implementation versions. It should never be accessed by application code.
  Since:
    JDK1.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `packagePrefix` Deprecated. package of system `LoaderHandler` implementation.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getSecurityContext(ClassLoader loader)` Deprecated. no replacement
    `Class<?>` | `loadClass(String name)` Deprecated. no replacement
    `Class<?>` | `loadClass(URL codebase, String name)` Deprecated. no replacement

- - ### Field Detail

    - #### packagePrefix

          static final String packagePrefix

      Deprecated.
      package of system `LoaderHandler` implementation.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### loadClass

          @Deprecated
          Class<?> loadClass(String name)
                                  throws MalformedURLException,
                                         ClassNotFoundException

      Deprecated. no replacement
      Loads a class from the location specified by the `java.rmi.server.codebase` property.
      Parameters:
        `name` - the name of the class to load
      Returns:
        the `Class` object representing the loaded class
      Throws:
        `MalformedURLException` - if the system property java.rmi.server.codebase contains an invalid URL
        `ClassNotFoundException` - if a definition for the class could not be found at the codebase location.
      Since:
        JDK1.1

    - #### loadClass

          @Deprecated
          Class<?> loadClass(URL codebase,
                                         String name)
                                  throws MalformedURLException,
                                         ClassNotFoundException

      Deprecated. no replacement
      Loads a class from a URL.
      Parameters:
        `codebase` - the URL from which to load the class
        `name` - the name of the class to load
      Returns:
        the `Class` object representing the loaded class
      Throws:
        `MalformedURLException` - if the `codebase` paramater contains an invalid URL
        `ClassNotFoundException` - if a definition for the class could not be found at the specified URL
      Since:
        JDK1.1

    - #### getSecurityContext

          @Deprecated
          Object getSecurityContext(ClassLoader loader)

      Deprecated. no replacement
      Returns the security context of the given class loader.
      Parameters:
        `loader` - a class loader from which to get the security context
      Returns:
        the security context
      Since:
        JDK1.1

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.